Package org.apache.sling.cms.core.internal.listeners

## Class RenditionCleaner

- java.lang.Object
- - org.apache.sling.cms.core.internal.listeners.RenditionCleaner

All Implemented Interfaces:
  `org.osgi.service.event.EventHandler`

    public class RenditionCleaner
    extends Object
    implements org.osgi.service.event.EventHandler

### Constructor Summary

Constructors
`RenditionCleaner​(org.apache.sling.api.resource.ResourceResolverFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent​(org.osgi.service.event.Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenditionCleaner

    public RenditionCleaner​(org.apache.sling.api.resource.ResourceResolverFactory factory)

### Method Detail

#### handleEvent

    public void handleEvent​(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`